public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-util/antimicrox/
Date: Sun, 11 Aug 2024 22:36:44 +0000 (UTC)	[thread overview]
Message-ID: <1723415802.f03f80d62f7aacb6ba1876e19cbe9f6e8d9c52e2.xgqt@gentoo> (raw)

commit:     f03f80d62f7aacb6ba1876e19cbe9f6e8d9c52e2
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 11 21:54:21 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Aug 11 22:36:42 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f03f80d6

games-util/antimicrox: bump to 3.4.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 games-util/antimicrox/Manifest                |  1 +
 games-util/antimicrox/antimicrox-3.4.1.ebuild | 87 +++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/games-util/antimicrox/Manifest b/games-util/antimicrox/Manifest
index 18da316b8fd5..cc487da35141 100644
--- a/games-util/antimicrox/Manifest
+++ b/games-util/antimicrox/Manifest
@@ -1 +1,2 @@
 DIST antimicrox-3.4.0.tar.gz 2178105 BLAKE2B 3ad367b9044c7bbc00e673e9673a476b88785724174ab7b12d9f9ff6c1381731b94ac5012fef04e74685219dd2b9414f86eb851c1145b7a6d4ba827240071ee1 SHA512 be2c811998508590c3dce17dd1a0d3a51bcaa6c629a4a74ac22a82f995eed3ce5ce4583667e47418b8b7c934b2f9bf6ad3d5f6d9eec5216e7f5c731aa82bcc69
+DIST antimicrox-3.4.1.tar.gz 2234767 BLAKE2B f61789d9edb7156ec3cf38cba22536bf74400f2bd7345a7daaf32b41f5da908cb068d696efcb107b344ad7d3e849e8dd65eff837857330aa9994f6e32a5cd08a SHA512 de2a3e7b6d5cddb3a243e7b736dde6e23ca599c63eefd7331acd5812e554a9079c124fef6678d5dd47000ec4f073ac51d4fb050185035f8c173aef7c81ca9f91

diff --git a/games-util/antimicrox/antimicrox-3.4.1.ebuild b/games-util/antimicrox/antimicrox-3.4.1.ebuild
new file mode 100644
index 000000000000..f31267e1fe6f
--- /dev/null
+++ b/games-util/antimicrox/antimicrox-3.4.1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit udev xdg cmake
+
+DESCRIPTION="Graphical program used to map keyboard buttons and mouse controls to a gamepad"
+HOMEPAGE="https://github.com/AntiMicroX/antimicrox/"
+
+if [[ "${PV}" == *9999* ]] ; then
+	inherit git-r3
+
+	EGIT_REPO_URI="https://github.com/AntiMicroX/${PN}.git"
+else
+	SRC_URI="https://github.com/AntiMicroX/${PN}/archive/${PV}.tar.gz
+		-> ${P}.tar.gz"
+
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="doc"
+# Tests fail to build
+# https://github.com/AntiMicroX/antimicrox/issues/530
+RESTRICT="test"
+
+RDEPEND="
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtwidgets:5
+	media-libs/libsdl2[X,joystick]
+	virtual/udev
+	x11-libs/libX11
+	x11-libs/libXi
+	x11-libs/libXtst
+"
+DEPEND="
+	${RDEPEND}
+"
+BDEPEND="
+	dev-qt/linguist-tools:5
+	kde-frameworks/extra-cmake-modules
+	doc? (
+		app-text/doxygen[dot]
+	)
+"
+
+PATCHES=( "${FILESDIR}/${PN}-man_gz.patch" )
+
+DOCS=( CHANGELOG.md README.md )
+
+src_configure() {
+	local -a mycmakeargs=(
+		-DAPPDATA=OFF
+		-DCHECK_FOR_UPDATES=OFF
+		-DINSTALL_UINPUT_UDEV_RULES=OFF  # Install in src_install
+		-DWITH_TESTS=OFF
+		-DWITH_UINPUT=ON
+		-DWITH_X11=ON
+		-DWITH_XTEST=ON
+		-DBUILD_DOCS=$(usex doc ON OFF)
+	)
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+	udev_dorules "${S}/other/60-${PN}-uinput.rules"
+
+	use doc && dodoc -r "${S}/docs"/{html,latex}
+
+	rm -r "${ED}/usr/share/doc/${PN}" || die
+}
+
+pkg_postinst() {
+	udev_reload
+	xdg_pkg_postinst
+}
+
+pkg_postrm() {
+	udev_reload
+	xdg_pkg_postrm
+}


             reply	other threads:[~2024-08-11 22:36 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-08-11 22:36 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-11 22:55 [gentoo-commits] repo/gentoo:master commit in: games-util/antimicrox/ Sam James
2024-04-11  4:55 Arthur Zamarin
2024-03-10 16:19 Maciej Barć
2023-09-02 14:30 Maciej Barć
2023-07-07 22:04 Sam James
2023-06-03 15:51 Maciej Barć
2023-06-03 15:51 Maciej Barć
2023-06-03 15:51 Maciej Barć
2023-03-07 15:45 Sam James
2023-02-07 23:06 Sam James
2023-01-31  4:04 Sam James
2023-01-30 20:31 Maciej Barć
2023-01-30 20:31 Maciej Barć
2022-11-21 13:01 Maciej Barć
2022-11-21 13:01 Maciej Barć
2022-11-18 23:18 Maciej Barć
2022-10-24 21:37 Maciej Barć
2022-09-02 13:53 Maciej Barć
2022-09-02  5:54 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1723415802.f03f80d62f7aacb6ba1876e19cbe9f6e8d9c52e2.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox